body {
    background-image: url('facade.jpg');
    background-size: cover;
    background-position: center center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    flex-direction: column;
    margin: 0;
}

* {
    font-family: sans-serif;
    box-sizing: border-box;
}

form {
    width: 100%;
    max-width: 500px; /* Max width of the form */
    border: 2px solid #000000;
    padding: 20px;
    background: #ffffff;
    opacity: 0.9;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}

input {
    display: block;
    border: 2px solid #000000;
    width: 90%;
    padding: 12px;
    margin: 10px auto;
    border-radius: 5px;
    font-size: 16px;
}

label {
    color: #000000;
    font-size: 16px;
    padding: 10px;
}

button {
    width: 100%;
    background: rgb(0, 0, 0);
    padding: 12px;
    color: #ffffff;
    border-radius: 5px;
    border: none;
    margin-top: 10px;
    font-size: 16px;
}

button:hover {
    opacity: 0.7;
}

.error {
    background: #F2DEDE;
    color: #A94442;
    padding: 10px;
    width: 90%;
    border-radius: 5px;
    margin: 20px auto;
}

h1 {
    text-align: center;
    color: #fff;
}

a {
    width: 100%;
    background: #555;
    padding: 12px;
    color: #fff;
    border-radius: 5px;
    border: none;
    text-decoration: none;
    margin-top: 10px;
    font-size: 16px;
    text-align: center;
}

a:hover {
    opacity: 0.7;
}

/* Mobile-First Responsive Design */
@media (max-width: 768px) {
    body {
        padding: 10px; /* Add padding for small screens */
    }

    form {
        width: 100%;
        padding: 15px;
    }

    input {
        width: 100%; /* Ensure inputs take up full width */
        padding: 15px;
    }

    button {
        width: 100%; /* Ensure buttons take up full width */
    }

    a {
        width: 100%; /* Ensure link button takes up full width */
    }
}
